Pedigree::Parser(3)

NAME
Pedigree::Parser - parser for the input file

SYNOPSIS
use Pedigree::Parser;

$parser = new Pedigree::Parser(I{$inputline>, $lang)

$parser->Parse($inputline);

DESCRIPTION
This package parses input for the pedigree library and is used to define nodes.

    new($inputline, $lang);

    Construct a new parser from the pipe-separated line at input

    Parse($inputline);

    Take a line of comma-separated values; return a reference to a hash of parsed values

ENVIRONMENT
The calling program should define $main::DEBUG and set it to 0 or 1.

SEE ALSO
pedigree(1), Pedigree(3)

AUTHOR
Boris Veytsman, Leila Akhmadeeva, 2006, 2007

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 21:
    You can't have =items (as at line 59) unless the first thing after the =over is an =item